# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "humanbyte"
version = "0.3.0"
authors = ["Louis Thiery <thiery.louis@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A procedural macro for deriving human readable byte functions"
documentation = "https://docs.rs/humanbyte"
readme = "README.md"
keywords = [
    "byte-size",
    "utility",
    "human-readable",
    "no_std",
]
categories = [
    "development-tools",
    "filesystem",
]
license = "Apache-2.0"
repository = "https://github.com/lthiery/humanbyte"
resolver = "2"

[features]
default = ["std"]
derive = ["dep:humanbyte-derive"]
schemars = [
    "dep:schemars",
    "std",
    "humanbyte-derive/schemars",
]
serde = [
    "dep:serde",
    "std",
    "humanbyte-derive/serde",
]
std = []

[lib]
name = "humanbyte"
path = "src/lib.rs"

[dependencies.humanbyte-derive]
version = "0.3.0"
optional = true

[dependencies.schemars]
version = "1"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true
